cvp.vo

## Class Erogazione

- java.lang.Object
- - cvp.vo.Erogazione

-     public class Erogazione
      extends java.lang.Object

  Contiene i dati dell'erogazione

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codFiscErogatore` Codice fiscale del medico erogatore, elemento obbligatorio.
    `private java.lang.String` | `dataErogazione` Data di erogazione della prescrizione, elemento obbligatorio.
    `private PrescrizioneSpecialistica` | `prescrizione` Contiene i dati della prescrizione, elemento obbligatorio.
    `private PrestazioniErogate` | `prestazioniErogate` Elenco delle prestazioni erogate, elemento obbligatorio.
    `private java.lang.String` | `strutturaErogatrice` Codice della struttura erogatrice, elemento facoltativo.
    `private java.lang.String` | `ticket` Importo del ticket, elemento facoltativo.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Erogazione()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscErogatore()`
    `java.lang.String` | `getDataErogazione()`
    `PrescrizioneSpecialistica` | `getPrescrizione()`
    `PrestazioniErogate` | `getPrestazioniErogate()`
    `java.lang.String` | `getStrutturaErogatrice()`
    `java.lang.String` | `getTicket()`
    `void` | `setCodFiscErogatore(java.lang.String codFiscErogatore)`
    `void` | `setDataErogazione(java.lang.String dataErogazione)`
    `void` | `setPrescrizione(PrescrizioneSpecialistica prescrizione)`
    `void` | `setPrestazioniErogate(PrestazioniErogate prestazioniErogate)`
    `void` | `setStrutturaErogatrice(java.lang.String strutturaErogatrice)`
    `void` | `setTicket(java.lang.String ticket)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### strutturaErogatrice

          private java.lang.String strutturaErogatrice

      Codice della struttura erogatrice, elemento facoltativo.

    - #### dataErogazione

          private java.lang.String dataErogazione

      Data di erogazione della prescrizione, elemento obbligatorio.

    - #### prestazioniErogate

          private PrestazioniErogate prestazioniErogate

      Elenco delle prestazioni erogate, elemento obbligatorio.

    - #### ticket

          private java.lang.String ticket

      Importo del ticket, elemento facoltativo.

    - #### prescrizione

          private PrescrizioneSpecialistica prescrizione

      Contiene i dati della prescrizione, elemento obbligatorio.

    - #### codFiscErogatore

          private java.lang.String codFiscErogatore

      Codice fiscale del medico erogatore, elemento obbligatorio.

  - ### Constructor Detail

    - #### Erogazione

          public Erogazione()

  - ### Method Detail

    - #### getStrutturaErogatrice

          public java.lang.String getStrutturaErogatrice()

    - #### setStrutturaErogatrice

          public void setStrutturaErogatrice(java.lang.String strutturaErogatrice)

    - #### getDataErogazione

          public java.lang.String getDataErogazione()

    - #### setDataErogazione

          public void setDataErogazione(java.lang.String dataErogazione)

    - #### getPrestazioniErogate

          public PrestazioniErogate getPrestazioniErogate()

    - #### setPrestazioniErogate

          public void setPrestazioniErogate(PrestazioniErogate prestazioniErogate)

    - #### getTicket

          public java.lang.String getTicket()

    - #### setTicket

          public void setTicket(java.lang.String ticket)

    - #### getPrescrizione

          public PrescrizioneSpecialistica getPrescrizione()

    - #### setPrescrizione

          public void setPrescrizione(PrescrizioneSpecialistica prescrizione)

    - #### getCodFiscErogatore

          public java.lang.String getCodFiscErogatore()

    - #### setCodFiscErogatore

          public void setCodFiscErogatore(java.lang.String codFiscErogatore)